I use sonar7.0 but i want to know what is the corresponding version of sonarphp for php lanaguage

php
sonarqube

(Shirleyxyli) #1

Our develop team already use sonarqube to scan php codes, but we don’t know what is the corresponding version of php rules。We use the maximum versions of sonarqube (sonarqube7.0), whether is for php 7.28 (the last version). Pls help , thank you so much .


(Nicolas Bontoux) #2

Hi,

If you expand recent versions @ https://docs.sonarqube.org/display/PLUG/SonarPHP , you will see that PHP 7.1 and 7.2 is supported since SonarPHP 2.11, and the recommendation is anyhow to use the latest version with latest SonarQube versions.